﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Property.CacheKey
{
    /// <summary>
    /// 公用模块缓存Key配置
    /// </summary>
    public class UserCacheKeyConfig
    {
        /// <summary>
        /// User库集团列表缓存
        /// </summary>
        public static string USER_GROUP_LIST
        {
            get { return "USER_GROUP_LIST"; }
        }

        /// <summary>
        /// User库分公司列表缓存
        /// </summary>
        public static string USER_BRANCH_LIST
        {
            get { return "USER_BRANCH_LIST"; }
        }

        /// <summary>
        ///  USER库员工列表缓存
        /// </summary>
        public static string USER_EMPLOYEE
        {
            get { return "USER_EMPLOYEE_"; }
        }


        /// <summary>
        ///  DMC库供应商列表缓存
        /// </summary>
        public static string DMC_SUPPLIER
        {
            get { return "DMC_SUPPLIER_"; }
        }

        /// <summary>
        /// IP白名单缓存Key
        /// </summary>
        public static string IP_Manager_Key
        {
            get { return "IP_Manager_List"; }
        }
    }
}
