﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Property.CacheKey
{
    /// <summary>
    /// 用户信息缓存Key配置管理
    /// </summary>
    public class UserModuleCacheKeyConfig
    {
        /// <summary>
        /// USER_Login_Info_123(用户ID)
        /// </summary>
        public static string USER_Login_Info
        {
            get { return "USER_Login_Info_"; }
        }
        /// <summary>
        /// B2B_USER_Login_Info_123(用户ID)
        /// </summary>
        public static string B2B_USER_Login_Info
        {
            get { return "B2B_USER_Login_Info_"; }
        }
        /// <summary>
        /// //USER_SysMenu_StrInfo_123
        /// </summary>
        public static string USER_SysMenu_StrInfo
        {
            get { return "USER_SysMenu_StrInfo_"; }
        }

        /// <summary>
        /// User_Code
        /// </summary>
        public static string User_Code
        {
            get { return "User_Code_"; }
        }
        /// <summary>
        /// User_Send_Code_List
        /// </summary>
        public static string User_Send_Code_List
        {
            get { return "User_Send_Code_List_"; }
        }
        /// <summary>
        /// User_New_Share_Cloud_Message
        /// </summary>
        public static string User_New_Share_Cloud_Message
        {
            get { return "User_New_Share_Cloud_Message"; }
        }
        /// <summary>
        /// 机票订单待付款信息
        /// </summary>
        public static string Air_WaitOrderPay_Info
        {
            get { return "Air_WaitOrderPay_Info"; }
        }
        /// <summary>
        /// 机票订单正在付款信息
        /// </summary>
        public static string Air_JustOrderPay_Info
        {
            get { return "Air_JustOrderPay_Info"; }
        }

        /// <summary>
        /// //USER_SysMenu_StrInfo_123
        /// </summary>
        public static string Access_Token
        {
            get { return "Access_Token"; }
        }
        public static string MiniProgramFormId
        {
            get { return "MiniProgram_FormId_"; }
        }
        public static string KKDayAPIKey
        {
            get { return "KKDayAPIKey"; }
        }


        public static string CounponOrder
        {
            get { return "CounponOrder_"; }
        }

        /// <summary>
        /// 公司部门员工组织架构Key
        /// </summary>
        public static string CompanyDepartMentEmployeeForChar
        {
            get {
                return "CompanyDepartMentEmployeeForChar";
            }
        }
    }
}
