﻿using REBORN.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 洲枚举
    /// </summary>
    public enum AreaEnum
    {
        /// <summary>
        /// 亚洲
        /// </summary>
        [EnumField("亚洲")]
        Asia = 1,

        /// <summary>
        /// 欧洲
        /// </summary>
        [EnumField("欧洲")]
        Europe = 2,

        /// <summary>
        /// 美洲
        /// </summary>
        [EnumField("美洲")]
        America = 3,

        /// <summary>
        /// 南美洲
        /// </summary>
        [EnumField("南美洲")]
        SouthAmerica = 4,

        /// <summary>
        /// 非洲
        /// </summary>
        [EnumField("非洲")]
        Africa = 5,

        /// <summary>
        /// 大洋洲
        /// </summary>
        [EnumField("大洋洲")]
        Oceania = 6,

        /// <summary>
        /// 南极洲
        /// </summary>
        [EnumField("南极洲")]
        Antarctica = 7,
    }

    /// <summary>
    /// 行政区域枚举
    /// </summary>
    public enum AreaRegionEnum
    {
        /// <summary>
        /// 国家
        /// </summary>
        [EnumField("国家")]
        CountryEnum =1,

        /// <summary>
        /// 省
        /// </summary>
        [EnumField("省")]
        ProvinceEnum = 2,

        /// <summary>
        /// 市
        /// </summary>
        [EnumField("市")]
        CityEnum = 3,

        /// <summary>
        /// 区县
        /// </summary>
        [EnumField("区/县")]
        DistrictEnum = 4,
    }

}