﻿using REBORN.Common.Plugin;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 数据状态
    /// </summary>
    public enum BuyingRequisitionStatusEnum
    {
        /// <summary>
        /// 已购买
        /// </summary>
        [EnumField("已购买")]
        Purchased = 1,
        /// <summary>
        /// 购买中
        /// </summary>
        [EnumField("购买中")]
        DuringPurchase = 2,
        /// <summary>
        /// 驳回
        /// </summary>
        [EnumField("驳回")]
        Reject = 3,
        /// <summary>
        /// 待处理
        /// </summary>
        [EnumField("待处理")]
        Pending = 4,
        /// <summary>
        /// 撤回
        /// </summary>
        [EnumField("撤回")]
        Withdraw = 5
    }
}
