﻿using REBORN.Common.Plugin;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 资产签名枚举
    /// </summary>
    public enum PropertySignEnum
    {
        /// <summary>
        /// 资产入库
        /// </summary>
        [EnumField("资产入库")]
        StockIn = 1,
        /// <summary>
        /// 资产领取
        /// </summary>
        [EnumField("资产领取")]
        StockGet = 2,
        /// <summary>
        /// 资产借用
        /// </summary>
        [EnumField("资产借用")]
        StockBorrow = 3,
        /// <summary>
        /// 借出归还
        /// </summary>
        [EnumField("借出归还")]
        StockBack = 4,
        /// <summary>
        /// 变更领用人
        /// </summary>
        [EnumField("变更领用人")]
        ChangeGet = 5
    }
}
