﻿using REBORN.Common.Plugin;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 资产使用来源枚举
    /// </summary>
    public enum PropertySourceEnum
    {
        /// <summary>
        /// 领用
        /// </summary>
        [EnumField("领用")]
        Receive = 1,
        /// <summary>
        /// 退库
        /// </summary>
        [EnumField("退库")]
        CancellingStocks = 2,
        /// <summary>
        /// 借用
        /// </summary>
        [EnumField("借用")]
        Borrow = 3,
        /// <summary>
        /// 归还
        /// </summary>
        [EnumField("归还")]
        GiveBack = 4,
        /// <summary>
        /// 调拨
        /// </summary>
        [EnumField("调拨")]
        Allot = 5,
        /// <summary>
        /// 处置
        /// </summary>
        [EnumField("处置")]
        Dispose = 6,
        /// <summary>
        /// 维修
        /// </summary>
        [EnumField("维修")]
        Maintain = 7
    }
}
