﻿using REBORN.Common.Plugin;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 委托委托内容
    /// </summary>
    public enum DelegateContentEnum
    {
        /// <summary>
        /// 工作审批
        /// </summary>
        [EnumField("工作审批")]
        OAAudit = 1,
        /// <summary>
        /// 单据审批
        /// </summary>
        [EnumField("单据审批")]
        BillsAudit = 2,
        /// <summary>
        /// 客户审批
        /// </summary>
        [EnumField("客户审批")]
        CustomerAudit = 3,
        /// <summary>
        /// 资产审批
        /// </summary>
        [EnumField("资产审批")]
        PropertyAudit = 4
    }
}