﻿using REBORN.Common;
using REBORN.Common.Enum;
using REBORN.Common.Plugin;
using Property.Model.Entity;
using Property.Model.Extend;
using Property.Repository;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Property.Module.UserModule
{
    /// <summary>
    /// 登录模块
    /// </summary>
    public class BranchModule
    {
        /// <summary>
        /// 公司
        /// </summary>
        private Rb_branchRepository repository = new Rb_branchRepository();
        /// <summary>
        /// 集团
        /// </summary>
        private Rb_Group_Repository group_Repository = new Rb_Group_Repository();

        /// <summary>
        /// 构造函数
        /// </summary>
        public BranchModule()
        {
            
        }

        /// <summary>
        /// 获取分公司信息
        /// </summary>
        /// <param name="id">分公司编号</param>
        /// <returns></returns>
        public RB_Branch BranchGet(object id)
        {
            return repository.GetEntity(id);
        }

        /// <summary>
        /// 获取公司列表
        /// </summary>
        /// <param name="demodel"></param>
        /// <returns></returns>
        public List<RB_Branch_Extend> GetBranchList(RB_Branch_Extend demodel) {
            return repository.GetList(demodel);
        }
    }
}
