﻿namespace Property.Model.CacheEntity
{
    /// <summary>
    /// 缓存用户实体
    /// </summary>
    public class CacheUser
    {
        /// <summary>
        /// 员工编号
        /// </summary>        
        public int EmployeeId
        {
            get;
            set;
        }
        /// <summary>
        /// 员工姓名
        /// </summary>
        public string EmName
        {
            get;
            set;
        }

        /// <summary>
        /// 员工手机号码
        /// </summary>
        public string EmMobile { get; set; }
        /// <summary>
        /// 登录手机号码
        /// </summary>
        public string LoginMobile { get; set; }

        /// <summary>
        /// 集团编号
        /// </summary>        
        public int RB_Group_id
        {
            get;
            set;
        }
        /// <summary>
        /// 分公司编号
        /// </summary>        
        public int RB_Branch_id
        {
            get;
            set;
        }

        /// <summary>
        /// 是否离职，0:否，1是
        /// </summary>        
        public int? IsLeave
        {
            get;
            set;
        }

        /// <summary>
        /// 集团名称
        /// </summary>
        public string GroupName { get; set; }

        /// <summary>
        /// 公司名称
        /// </summary>
        public string BranchName { get; set; }

        /// <summary>
        /// 职位名称
        /// </summary>
        public string DepartName { get; set; }
        /// <summary>
        /// 岗位名称
        /// </summary>
        public string PostName { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string EmPhoto { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        public int RB_Department_Id { get; set; }

        /// <summary>
        /// 岗位id
        /// </summary>
        public int RB_Post_Id { get; set; }
    }
}