﻿using System;
using REBORN.Common.AOP;
using REBORN.Common.Plugin;

namespace Property.Model.Entity
{

    /// <summary>
    /// 耗材申请工作日实体
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_Supplies_ApplyforWeekday
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 申请id
        /// </summary>        
        public int? ApplyforId
        {
            get;
            set;
        }
        /// <summary>
        /// 周几  存  周一  周二  周三。。。
        /// </summary>        
        public string Weekday
        {
            get;
            set;
        }
        /// <summary>
        /// 开始时间
        /// </summary>        
        public string StartTime
        {
            get;
            set;
        }
        /// <summary>
        /// 结束时间  05:44
        /// </summary>        
        public string EndTime
        {
            get;
            set;
        }
        /// <summary>
        /// 状态 0正常  1删除
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }
        /// <summary>
        /// 公司
        /// </summary>        
        public int? RB_Branch_Id
        {
            get;
            set;
        }
        /// <summary>
        /// 集团
        /// </summary>        
        public int? RB_Group_Id
        {
            get;
            set;
        }
        /// <summary>
        /// CreateBy
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateBy
        /// </summary>        
        public int? UpdateBy
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateDate
        /// </summary>        
        public DateTime? UpdateDate
        {
            get;
            set;
        }
    }
}