﻿using REBORN.Common.AOP;
using Property.Model.Entity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Property.Model.Extend
{
    /// <summary>
    /// 财务流程关联表
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "FinanceConnection")]
    public class RB_FinanceFlowConnect_Extend : RB_FinanceFlowConnect
    {

        /// <summary>
        /// 多个使用对象
        /// </summary>
        public string SuitableObjectIds { get; set; }

        /// <summary>
        /// 多个流程模板
        /// </summary>
        public string FlowtemplateIds { get; set; }

        /// <summary>
        /// 对象名称
        /// </summary>
        public string SuitableObjectName { get; set; }
    }
}
