﻿using Property.Model.Entity;
using REBORN.Common.AOP;
using System;

namespace Property.Model.Extend
{
    /// <summary>
    /// 订单修改日志扩展实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "LogConnection")]
    public class RB_System_Push_LogExtend : RB_System_Push_Log
    {
        /// <summary>
        /// 1-行政2财务
        /// </summary>
        public int? ContentType { get; set; }

        /// <summary>
        /// 接收人姓名
        /// </summary>
        public string EmName { get; set; }

        /// <summary>
        /// 全部0，1-其他，2-酒店上架信息
        /// </summary>
        public int LogType { get; set; }
    }
}