using System;
using System.Collections.Generic;
using REBORN.Common.AOP;
using Property.Model.Entity;

namespace Property.Model.Extend
{
    /// <summary>
    /// Rb_workdayseting Entity Model
    /// </summary>    
    [Serializable]
    [DB(ConnectionName = "FinanceConnection")]
    public class Rb_Workflow_Condition_Extend : Rb_Workflow_Condition
    {
        /// <summary>
        /// б
        /// </summary>
        public List<Rb_Workflow_Audit_Extend> AuditList { get; set; }

        /// <summary>
        /// б
        /// </summary>
        public List<Rb_Workflow_Audituser_Extend> AuditUserList { get; set; }

        /// <summary>
        /// ģ 1  2  3    4  
        /// </summary>
        public int TemplateType { get; set; }
        /// <summary>
        /// ģ
        /// </summary>
        public string TemplateTypeName { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// б
        /// </summary>
        public List<AskforleaveTypeList> aftList { get; set; }

        /// <summary>
        /// б
        /// </summary>
        public List<WorkflowConditionSortList> ConditionSortList { get; set; }
    }
    /// <summary>
    /// б
    /// </summary>
    public class AskforleaveTypeList {
        /// <summary>
        /// id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// Ƿѡ 1ѡ 0δѡ
        /// </summary>
        public int Is_show { get; set; }
    }

    /// <summary>
    /// б
    /// </summary>
    public class WorkflowConditionSortList {
        /// <summary>
        /// id
        /// </summary>
        public int ConditionId { get; set; }

        /// <summary>
        /// ȼ 0ųĬ  СȼԽߣ
        /// </summary>
        public int Sort { get; set; }
    }
}