﻿using Property.Model.Entity.Mall;
using REBORN.Common.AOP;
using System;
using System.Collections.Generic;
using System.Text;

namespace Property.Model.Extend.Mall
{
    /// <summary>
    /// 商品出库申请实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_WarehouseOut_Apply_Extend : RB_WarehouseOut_Apply
    {
        /// <summary>
        /// 商品出库列表
        /// </summary>
        public List<RB_WarehouseOut_Goods_Extend> WarehouseOutGoodsList { get; set; }



        /// <summary>
        /// 出库商品详情
        /// </summary>
        public List<RB_WarehouseOut_GoodsDetail> WarehouseOutGoodsDetailList { get; set; }

        /// <summary>
        /// 财务信息
        /// </summary>
        public List<RB_WarehouseOut_Finance> WarehouseOutFinanceList { get; set; }

        /// <summary>
        /// 财务信息
        /// </summary>
        public RB_WarehouseOut_Finance WarehouseOutFinanceModel { get; set; }

        /// <summary>
        /// 已出库
        /// </summary>
        public int Delivered { get; set; }

        /// <summary>
        /// 未出库数量
        /// </summary>
        public int NotOutStock { get; set; }


        /// <summary>
        /// 小程序名称
        /// </summary>
        public string MallBaseName { get; set; }
        /// <summary>
        /// 商户名称
        /// </summary>

        public string TenantName { get; set; }


        public string CreateByName { get; set; }

        /// <summary>
        /// 仓库id
        /// </summary>
        public int WarehouseId { get; set; }


        /// <summary>
        /// 商品名称
        /// </summary>

        public string GoodsName { get; set; }


        /// <summary>
        /// 订单号
        /// </summary>
        public string OrderNo { get; set; }

    }
}
