﻿using Property.Model.Entity.Mall;
using REBORN.Common.AOP;
using System;
using System.Collections.Generic;
using System.Text;

namespace Property.Model.Extend.Mall
{
    /// <summary>
    /// 商品出库申请扩展实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_WarehouseOut_Goods_Extend : RB_WarehouseOut_Goods
    {
        /// <summary>
        /// 订单商品id
        /// </summary>
        public string OrderGoodsIds { get; set; }

        /// <summary>
        /// 仓库id
        /// </summary>
        public int WarehouseId { get; set; }

        /// <summary>
        /// 仓库数量
        /// </summary>
        public int SuppliesNum { get; set; }


        /// <summary>
        /// 物料id
        /// </summary>
        public int SuppliesId { get; set; }
    }
}
