using System;
using System.Collections.Generic;
using Property.Model.Entity;
using REBORN.Common.AOP;

namespace Property.Model.Extend
{
    /// <summary>
    /// ʲϢչʵ
    /// </summary>    
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_Property_Info_Extend : RB_Property_Info
    {
        /// <summary>
        /// id
        /// </summary>
        public int? UseReceiveId { get; set; }
        /// <summary>
        /// ʱ
        /// </summary>
        public string MaturityTime { get; set; }
        /// <summary>
        /// ־
        /// </summary>
        public string LogType { get; set; }
        /// <summary>
        /// ʲ
        /// </summary>
        public int? PropertyNumber { get; set; }
        /// <summary>
        /// Ƿѯʲ۾  1  
        /// </summary>
        public int? IsSelectDepreciation { get; set; }
        /// <summary>
        /// Ƿѯʲ  1  
        /// </summary>
        public int? IsSelectSelfApplication { get; set; }

        /// <summary>
        /// Ƿѯʲҵʲ  1  
        /// </summary>
        public int? IsSelectMyProperty { get; set; }
        /// <summary>
        /// Ƿѯʲʹʲ  1  
        /// </summary>
        public int? IsSelectUseProperty { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string CategoryName { get; set; }
        /// <summary>
        /// ids
        /// </summary>
        public string CategoryIds { get; set; }
        /// <summary>
        /// Ӧ
        /// </summary>
        public string SupplierName { get; set; }
        /// <summary>
        /// ͼƬб
        /// </summary>
        public List<string> ImageList { get; set; }

        /// <summary>
        /// ʹ
        /// </summary>
        public string EmName { get; set; }
        /// <summary>
        /// Ա˾id
        /// </summary>
        public int? EmBranchId { get; set; }
        /// <summary>
        /// Ա˾
        /// </summary>
        public string EmBranchName { get; set; }
        /// <summary>
        /// Աid
        /// </summary>
        public int? EmDepartmentId { get; set; }
        /// <summary>
        /// Ա
        /// </summary>
        public string EmDepartmentName { get; set; }

        /// <summary>
        /// ʼʱ
        /// </summary>
        public string StartTime { get; set; }
        /// <summary>
        /// ʱ
        /// </summary>
        public string EndTime { get; set; }
        /// <summary>
        /// ʼʱ
        /// </summary>
        public string LogStartTime { get; set; }
        /// <summary>
        /// ʱ
        /// </summary>
        public string LogEndTime { get; set; }

        /// <summary>
        /// ids
        /// </summary>
        public string PropertyIdStr { get; set; }

        /// <summary>
        /// ֵ
        /// </summary>
        public decimal? ResidualsRate { get; set; }
        /// <summary>
        /// ۾
        /// </summary>
        public int? DepreciationType { get; set; }
        /// <summary>
        /// ۾
        /// </summary>
        public decimal? MonthDepreciation { get; set; }
        /// <summary>
        /// ۼ۾
        /// </summary>
        public decimal? TotalDepreciation { get; set; }

        /// <summary>
        /// ʹ·
        /// </summary>
        public int? UsedMonth { get; set; }
        /// <summary>
        /// ־б
        /// </summary>
        public List<RB_Property_Log_Extend> LogList { get; set; }
        /// <summary>
        /// ˾
        /// </summary>
        public string BranchName { get; set; }
    }
}