using System;
using System.Collections.Generic;
using REBORN.Common.AOP;
using REBORN.Common.Enum;
using Property.Model.Entity;

namespace Property.Model.Extend
{
    /// <summary>
    /// Rb_workdayseting Entity Model
    /// </summary>    
    [Serializable]
    [DB(ConnectionName = "FinanceConnection")]
    public class Rb_Workflow_Auditrecord_Extend : Rb_Workflow_Auditrecord
    {
        /// <summary>
        /// ¼ids
        /// </summary>
        public string RecordIdStr { get; set; }

        #region Ϣչ
        /// <summary>
        /// ת
        /// </summary>
        public int? TransferEmpId { get; set; }
        /// <summary>
        /// 񵥾id
        /// </summary>
        public string FrIdStr { get; set; }
        /// <summary>
        /// ˺
        /// </summary>
        public string AuditEmAccount { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string AuditEmName { get; set; }
        /// <summary>
        /// ʺ
        /// </summary>
        public string AuditEmAccout { get; set; }
        /// <summary>
        /// ͷ
        /// </summary>
        public string AuditEmPhoto { get; set; }
        /// <summary>
        /// ͼƬ
        /// </summary>
        public List<string> imgList { get; set; }

        /// <summary>
        /// 񵥾ݷϸid
        /// </summary>
        public List<int> FdIdList { get; set; }
        /// <summary>
        /// תб
        /// </summary>
        public List<SetCareOfModel> CareOfList { get; set; }
        /// <summary>
        /// ·
        /// </summary>
        public string MonthStr { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string TotalCount { get; set; }
        #endregion


        #region ҷϢչ
        /// <summary>
        ///  ״̬ 1  2   3   4 ͨ  5 ͨ
        /// </summary>        
        public WFAuditStatus? Status
        {
            get;
            set;
        }
        /// <summary>
        /// ģid
        /// </summary>        
        public int? TemplateId
        {
            get;
            set;
        }
        /// <summary>
        /// ģ
        /// </summary>        
        public string TemplateName
        {
            get;
            set;
        }
        /// <summary>
        /// 
        /// </summary>
        public DateTime? TradeDate { get; set; }
        #endregion


        #region ҵĲ񵥾
        /// <summary>
        /// һ
        /// </summary>
        public List<int> emList { get; set; }
        #endregion

        /// <summary>
        /// ܽ
        /// </summary>
        public decimal Money { get; set; }
    }
    /// <summary>
    /// ת
    /// </summary>
    public class SetCareOfModel
    {
        /// <summary>
        /// ˭
        /// </summary>
        public string BeFrom { get; set; }
        /// <summary>
        /// Ŀ
        /// </summary>
        public string Target { get; set; }
        /// <summary>
        /// ע
        /// </summary>
        public string Remarks { get; set; }
    }
    /// <summary>
    /// Ա˻ id б
    /// </summary>
    public class EmAccoutIdModel
    {
        /// <summary>
        /// ID
        /// </summary>
        public int? WorkFlowId { get; set; }
        /// <summary>
        /// Ա˻
        /// </summary>
        public string EmAccount { get; set; }
        /// <summary>
        /// Աid
        /// </summary>
        public int EmployeeId { get; set; }

    }

}