﻿using Property.Model.Entity;
using REBORN.Common.AOP;
using System;
using System.Collections.Generic;
using System.Text;

namespace Property.Model.Extend.Supplies
{

    /// <summary>
    /// 耗材盘点报损记录扩展表
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_Supplies_ReportLossRecordDetail_Extend : RB_Supplies_ReportLossRecordDetail
    {
       

        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }

        /// <summary>
        /// 商品规格名称
        /// </summary>
        public string SpecificationName { get; set; }

        /// <summary>
        /// 当前库存的数量
        /// </summary>        
        public int? InventoryNum
        {
            get;
            set;
        }
        /// <summary>
        /// 实际数量
        /// </summary>        
        public int? RealityNum
        {
            get;
            set;
        }
    }
}
