using System;
using Property.Model.Entity;
using REBORN.Common.AOP;

namespace Property.Model.Extend
{
    /// <summary>
    /// 分公司实体扩展类
    /// </summary>    
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Branch_Extend : RB_Branch
    {
        /// <summary>
        /// 公司id
        /// </summary>
        public string BranchIdStr { get; set; }

        #region 扩展字段
        /// <summary>
        /// 负责人
        /// </summary>
        public string BranchManagerName { get; set; }

        /// <summary>
        /// 集团名称
        /// </summary>
        public string GroupName { get; set; }
        #endregion
    }
}