﻿using Property.Model.Entity.Mall;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Property.Repository.Mall
{
    /// <summary>
    /// 小程序仓储层
    /// </summary>
    public class RB_MiniProgramRepository : RepositoryBase<RB_MiniProgram>
    {
       
        /// <summary>
        /// 根据查询条件获取小程序列表
        /// </summary>
        /// <param name="query">查询条件</param>
        /// <returns></returns>
        public List<RB_MiniProgram> GetMiniProgramListIds(string MallBaseIds)
        {
            StringBuilder builder = new StringBuilder();
            builder.Append(" SELECT * FROM RB_MiniProgram WHERE 1=1 ");
            if (!string.IsNullOrWhiteSpace(MallBaseIds))
            {
                builder.AppendFormat(" AND MallBaseId in ({0}) ", MallBaseIds);
            }
            return Get<RB_MiniProgram>(builder.ToString()).ToList();
        }


      
    }
}
