﻿using Property.Model.Entity;
using Property.Model.Extend;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Property.Repository
{
    /// <summary>
    /// 资产签字关联仓储类
    /// </summary>
    public partial class RB_Property_SignatureRelevanceRepository : RepositoryBase<RB_Property_SignatureRelevance>
    {
        /// <summary>
        /// 获取列表数据
        /// </summary>
        /// <param name="dmodel"></param>
        /// <returns></returns>
        public List<RB_Property_SignatureRelevance> GetList(RB_Property_SignatureRelevance dmodel)
        {
            string where = " where 1=1 ";
            where += string.Format(" AND {0}={1}", nameof(RB_Property_SignatureRelevance.Status), 0);
            where += $@" and RB_Group_Id={dmodel.RB_Group_Id}";
            if (dmodel.Type > 0)
            {
                where += " and " + nameof(RB_Property_SignatureRelevance.Type) + "=" + (int)dmodel.Type;
            }
            string sql = $@" select * from RB_Property_SignatureRelevance {where}";
            return Get<RB_Property_SignatureRelevance>(sql).ToList();
        }
    }
}
