﻿using DapperExtensions.Lambda;
using Property.Model.Entity;
using Property.Model.Extend;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace Property.Repository
{
    /// <summary>
    /// 流程节点指点成员拷贝信息表
    /// </summary>
    public partial class Rb_Workflow_AuditUserRelevanceRepository : RepositoryBase<Rb_Workflow_AuditUserRelevance>
    {
        /// <summary>
        /// 根据拷贝审核节点id获取指定审核成员
        /// </summary>
        /// <param name="auditRelevanceId"></param>
        /// <returns></returns>
        public List<Rb_Workflow_AuditUserRelevance_Extend> GetAuditUserRelevanceByAuditRelevanceId(int auditRelevanceId)
        {
            return Get<Rb_Workflow_AuditUserRelevance_Extend>($"SELECT * from rb_workflow_audituserrelevance u where u.AuditRelevanceId ={auditRelevanceId}").ToList();
        }
    }
}
