﻿using DapperExtensions.Lambda;
using Property.Model.Entity;
using Property.Model.Extend;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace Property.Repository
{
    /// <summary>
    /// 工作流指定成员
    /// </summary>
    public partial class Rb_Workflow_AuditUserRepository : RepositoryBase<Rb_Workflow_Audituser>
    {
        /// <summary>
        /// 获取审核条件下所有的抄送人
        /// </summary>
        /// <param name="ConditionId"></param>
        /// <returns></returns>
        public List<Rb_Workflow_Audituser_Extend> GetDefaultAuditUser(int ConditionId) {
            return Get<Rb_Workflow_Audituser_Extend>($@"select au.* from Rb_Workflow_Audituser au where au.EmType=2 and au.AuditId={ConditionId}").ToList();
        }

        /// <summary>
        /// 获取审核条件下所有的指定成员
        /// </summary>
        /// <param name="AuditId"></param>
        /// <returns></returns>
        public List<Rb_Workflow_Audituser_Extend> GetConditionAuditUser(int AuditId)
        {
            return Get<Rb_Workflow_Audituser_Extend>($@"select au.* from Rb_Workflow_Audituser au where au.EmType=1 and au.AuditId={AuditId}").ToList();
        }
    }
}
