﻿using REBORN.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace REBORN.CacheManager.DataStatistic.Enum
{
    /// <summary>
    /// 发布信息类型枚举
    /// </summary>
    public enum PublishB2BMsgEnum
    {
        /// <summary>
        /// 城市登录信息
        /// </summary>
        [EnumField("城市登录信息")]
        CityLogin = 1,
        /// <summary>
        /// 同行数量、激活总数、沉睡客户数量、app下载数量
        /// </summary>
        [EnumField("同行数量、激活总数、沉睡客户数量、app下载数量")]
        ClientNum = 2,
        /// <summary>
        /// 今日/年度交易信息
        /// </summary>
        [EnumField("今日/年度交易信息、平台数据信息、返佣红包")]
        TradeInfo = 3,
        /// <summary>
        /// 其他信息
        /// </summary>
        [EnumField("其他信息")]
        OtherInfo = 4
    }
}
