﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace REBORN.Common
{
    /// <summary>
    /// web端登录用户信息缓存
    /// </summary>
    public class UserInfo
    {
        /// <summary>
        /// 集团名称
        /// </summary>
        public string GroupName { get; set; }

        /// <summary>
        /// 集团图片
        /// </summary>
        public string GroupPic { get; set; }

        /// <summary>
        /// 集团域名
        /// </summary>
        public string Domain { get; set; }

        /// <summary>
        /// B2B域名
        /// </summary>
        public string B2BDomain { get; set; }

        /// <summary>
        /// 版本名称
        /// </summary>
        public string VersionsName { get; set; }
        /// <summary>
        /// 公司名称
        /// </summary>
        public string BranchName { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        public string DepartName { get; set; }
        /// <summary>
        /// 岗位名称
        /// </summary>
        public string PostName { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string emName { get; set; }
        /// <summary>
        /// 用户id
        /// </summary>
        public int EmployeeId { get; set; }
        /// <summary>
        /// 集团id
        /// </summary>
        public int RB_Group_id { get; set; }
        /// <summary>
        /// 版本id
        /// </summary>
        public int Versions_Id { get; set; }
        /// <summary>
        /// 公司id
        /// </summary>
        public int RB_Branch_id { get; set; }
        /// <summary>
        /// 岗位id
        /// </summary>
        public int RB_Post_Id { get; set; }
        /// <summary>
        /// 部门id
        /// </summary>
        public int RB_Department_Id { get; set; }
        /// <summary>
        /// token
        /// </summary>
        public string token { get; set; }
        /// <summary>
        /// SecretKey
        /// </summary>
        public string SecretKey { get; set; }
        /// <summary>
        /// 文件域名
        /// </summary>
        public string FileDomain { get; set; }
        /// <summary>
        /// 用户菜单
        /// </summary>
        public object UserMenu { get; set; }
        /// <summary>
        /// 功能菜单
        /// </summary>
        public object ActionMenu { get; set; }
        /// <summary>
        /// Im账号
        /// </summary>
        public string ImAccount { get; set; }
        /// <summary>
        /// ImToken
        /// </summary>
        public string ImToken { get; set; }

        /// <summary>
        /// 用户头像
        /// </summary>
        public string Icon { get; set; }

        /// <summary>
        /// 所在公司是否为总公司   1：是，2：否
        /// </summary>
        public int IsParentCompany { get; set; }
        /// <summary>
        /// 权限节点
        /// </summary>
        public string ActionMenuCode { get; set; }
    }
}
