﻿using REBORN.Common.Plugin;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 数据状态
    /// </summary>
    public enum OrderStateEnum
    {
        /// <summary>
        /// 已完成
        /// </summary>
        [EnumField("已完成")]
        Complete = 1,
        /// <summary>
        /// 审核中
        /// </summary>
        [EnumField("审核中")]
        Auditing = 2,
        /// <summary>
        /// 审核驳回
        /// </summary>
        [EnumField("审核驳回")]
        Reject = 3,
        /// <summary>
        /// 签字中
        /// </summary>
        [EnumField("签字中")]
        Signature = 4,
        /// <summary>
        /// 已终止
        /// </summary>
        [EnumField("已撤回")]
        Terminate = 5
    }
}
