﻿using REBORN.Common.Plugin;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 数据状态
    /// </summary>
    public enum PropertyCheckStatusEnum
    {
        /// <summary>
        /// 未盘
        /// </summary>
        [EnumField("未盘")]
        NoInventory = 1,
        /// <summary>
        /// 已盘
        /// </summary>
        [EnumField("已盘")]
        HaveInventory = 2,
        /// <summary>
        /// 盘盈
        /// </summary>
        [EnumField("盘盈")]
        InventoryProfit = 3,
        /// <summary>
        /// 盘亏
        /// </summary>
        [EnumField("盘亏")]
        InventoryLosses = 4
    }
}
