﻿using REBORN.Common.Plugin;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 数据状态
    /// </summary>
    public enum PropertyDisposeEnum
    {
        /// <summary>
        /// 报废清理
        /// </summary>
        [EnumField("报废清理")]
        Scrap = 1,
        /// <summary>
        /// 损毁清理
        /// </summary>
        [EnumField("损毁清理")]
        Mar = 2,
        /// <summary>
        /// 转让出售
        /// </summary>
        [EnumField("转让出售")]
        Transfer = 3,
        /// <summary>
        /// 退租
        /// </summary>
        [EnumField("退租")]
        Surrender = 4,
        /// <summary>
        /// 捐赠
        /// </summary>
        [EnumField("捐赠")]
        Donate = 5,
        /// <summary>
        /// 丢失
        /// </summary>
        [EnumField("丢失")]
        Lost = 6,
        /// <summary>
        /// 其他
        /// </summary>
        [EnumField("其他")]
        Other = 7
    }
}
