﻿using REBORN.Common.Plugin;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 出库枚举
    /// </summary>
    public enum StockOutStatusEnum
    {
        /// <summary>
        /// 已出库
        /// </summary>
        [EnumField("已出库")]
        StockOut = 1,
        /// <summary>
        /// 已取消
        /// </summary>
        [EnumField("已取消")]
        StockOutCancel = 2,
        /// <summary>
        /// 待出库
        /// </summary>
        [EnumField("待出库")]
        StockOutWait = 3
    }
}
