﻿using REBORN.Common.Plugin;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;

namespace REBORN.Common.Enum
{
    /// <summary>
    /// 委托状态
    /// </summary>
    public enum DelegateStateEnum
    {
        /// <summary>
        /// 正常
        /// </summary>
        [EnumField("正常")]
        Normal = 1,
        /// <summary>
        /// 已撤销
        /// </summary>
        [EnumField("已撤销")]
        Backout = 2,
        /// <summary>
        /// 已删除
        /// </summary>
        [EnumField("已删除")]
        Delete = 3
    }

    /// <summary>
    /// 委托生效状态
    /// </summary>
    public enum DelegateEffectStateEnum
    {
        /// <summary>
        /// 待生效
        /// </summary>
        [EnumField("待生效")]
        WaitEffect = 1,
        /// <summary>
        /// 生效中
        /// </summary>
        [EnumField("生效中")]
        Effect = 2,
        /// <summary>
        /// 已失效
        /// </summary>
        [EnumField("已失效")]
        LostEffect = 3
    }
}