﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace REBORN.IM.Service.Account
{
    public class AccountModel
    {

        /// <summary>
        /// 必填
        /// 网易云通信ID，最大长度32字符，
        /// 必须保证一个APP内唯一（只允许字母、数字、半角下划线_、@、
        /// 半角点以及半角-组成，不区分大小写，会统一小写处理，
        /// 请注意以此接口返回结果中的accid为准）。
        /// </summary>
        public String AccID { get; set; }

        /// <summary>
        /// 昵称
        /// 网易云通信ID昵称，最大长度64字符，用来PUSH推送时显示的昵称
        /// </summary>
        public String Name { get; set; }


        /// <summary>
        /// 密码
        /// 网易云通信ID可以指定登录token值，
        /// 最大长度128字符，并更新，如果未指定，
        /// 会自动生成token，并在创建成功后返回 
        ///理论上不会失效
        /// </summary>
        public String Token { get; set; }



    }
}
