﻿using REBORN.Common.AOP;
using System;
using System.Collections.Generic;
using System.Text;

namespace Property.Model.Entity.Mall
{

    /// <summary>
    /// 商品出库申请财务实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_WarehouseOut_Finance
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int ID
        {
            get;
            set;
        }

        /// <summary>
        /// 财务id
        /// </summary>        
        public int FinanceId
        {
            get;
            set;
        }


        /// <summary>
        /// 申请id
        /// </summary>
        public int ApplyId { get; set; }


        /// <summary>
        /// 出库id
        /// </summary>
        public int StockInId { get; set; }


        /// <summary>
        /// 删除状态0-否，1-是
        /// </summary>        
        public int Status
        {
            get;
            set;
        }

        /// <summary>
        /// 商户号
        /// </summary>        
        public int TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 小程序id
        /// </summary>        
        public int MallBaseId
        {
            get;
            set;
        }



        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }

        /// <summary>
        /// erp操作人的id
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }



        /// <summary>
        /// 公司
        /// </summary>        
        public int? RB_Branch_Id
        {
            get;
            set;
        }
        /// <summary>
        /// 集团
        /// </summary>        
        public int? RB_Group_Id
        {
            get;
            set;
        }
    }
}
