﻿using System;
using REBORN.Common.AOP;
using REBORN.Common.Enum;
namespace Property.Model.Entity
{

    /// <summary>
    /// 流程日志表
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_Workfolw_Change_Log
    {

        /// <summary>
        /// LogId
        /// </summary>        
        public int LogId
        {
            get;
            set;
        }
        /// <summary>
        /// 1、资产流程
        /// </summary>        
        public int? Type
        {
            get;
            set;
        }
        /// <summary>
        /// 来源ID
        /// </summary>        
        public int? ResourceId
        {
            get;
            set;
        }
        /// <summary>
        /// 内容
        /// </summary>        
        public string Content
        {
            get;
            set;
        }
        /// <summary>
        /// 操作时间
        /// </summary>        
        public DateTime? UpdateDate
        {
            get;
            set;
        }
        /// <summary>
        /// 操作人
        /// </summary>        
        public int? UpdateBy
        {
            get;
            set;
        }
        /// <summary>
        /// 集团编号
        /// </summary>        
        public int? RB_Group_Id
        {
            get;
            set;
        }
        /// <summary>
        /// 公司编号
        /// </summary>        
        public int? RB_Branch_Id
        {
            get;
            set;
        }
    }
}