using System;
using System.Collections.Generic;
using REBORN.Common.AOP;
using REBORN.Common.Enum;

namespace Property.Model.Extend
{
    /// <summary>
    /// Rb_role Entity Model
    /// </summary>    
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Audit_Delegate_Extend : Entity.RB_Audit_Delegate
    {
        #region չֶ
        /// <summary>
        /// 
        /// </summary>
        public List<DelegateContentEnum> DelegateContentList { get; set; }
        /// <summary>
        /// û
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// ûͷ
        /// </summary>
        public string UserPhoto { get; set; }

        /// <summary>
        /// ίЧ
        /// </summary>
        public DelegateEffectStateEnum DelegateEffectState
        {
            get
            {
                if (DateTime.Now < StartDate && DelegateState == DelegateStateEnum.Normal)
                {
                    return DelegateEffectStateEnum.WaitEffect;
                }
                else if (DateTime.Now >= StartDate && DateTime.Now <= EndDate && DelegateState == DelegateStateEnum.Normal)
                {
                    return DelegateEffectStateEnum.Effect;
                }
                else
                {
                    return DelegateEffectStateEnum.LostEffect;
                }
            }
        }
        #endregion
    }
}