using System;
using System.Collections.Generic;
using REBORN.Common.AOP;

namespace Property.Model.Extend
{
    /// <summary>
    /// Rb_sys_menu Entity Model
    /// </summary>    
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Sys_Menu_Extend : Entity.RB_Sys_Menu
    {
        /// <summary>
        /// 判断是否有该权限
        /// </summary>
        public bool IsShow { get; set; }

        /// <summary>
        /// 子菜单
        /// </summary>
        public List<RB_Sys_Menu_Extend> ChildMenu { get; set; }

        /// <summary>
        /// 最新子菜单   ld 2018-12-26  
        /// </summary>
        public List<object> NewChildMenu { get; set; }

        /// <summary>
        /// 系统版本id
        /// </summary>
        public int? VersionsId { get; set; }
    }

}
