﻿using Property.Model.Entity.Mall;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Property.Repository.Mall
{

    /// <summary>
    /// 商户表仓储层
    /// </summary>
    public class RB_TenantRepository : RepositoryBase<RB_Tenant>
    {
        /// <summary>
        /// 根据查询条件获取商户列表
        /// </summary>
        /// <param name="query">查询条件</param>
        /// <returns></returns>
        public List<RB_Tenant> GetTenantListByIds(string TenantIds)
        {
            StringBuilder builder = new StringBuilder();
            builder.Append(" SELECT * FROM RB_Tenant WHERE 1=1 ");
            if (!string.IsNullOrWhiteSpace(TenantIds))
            {
                builder.AppendFormat(" AND TenantId in ({0}) ", TenantIds);
            }
            return Get<RB_Tenant>(builder.ToString()).ToList();
        }

       
    }
}
