﻿
using Property.Model.Entity;
using Property.Model.Extend;
using System.Collections.Generic;
using System.Linq;

namespace Property.Repository
{
    /// <summary>
    /// 工作流审核抄送扩展表
    /// </summary>
    public partial class Rb_Workflow_CopyToPeopleRepository : RepositoryBase<Rb_Workflow_CopyToPeople>
    {
        /// <summary>
        /// 获取申请单下所有的抄送人信息
        /// </summary>
        /// <param name="WorkFlowId"></param>
        /// <returns></returns>
        public List<Rb_Workflow_CopyToPeople_Extend> GetCopyToPeopleList(int WorkFlowId)
        {
            string where = $@" where 1=1 and c.{nameof(Rb_Workflow_CopyToPeople.WorkFlowId)}={WorkFlowId} ";
            return Get<Rb_Workflow_CopyToPeople_Extend>($@" select c.* from Rb_Workflow_CopyToPeople c {where}").ToList();
        }
    }
}
